Package ru.bitel.bgbilling.kernel.contract.object.common.bean

# Class ContractObject

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.bgbilling.kernel.contract.object.common.bean.ContractObject

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ContractObject extends AbstractEntity

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ContractObject.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractObject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractObject.Builder`
  `builder()`
  `int`
  `getContractId()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getPosition()`
  `int`
  `getStatus()`
  `int`
  `getTypeId()`
  `ContractObject`
  `setContractId(int contractId)`
  `ContractObject`
  `setDateFrom(Date dateFrom)`
  `ContractObject`
  `setDateTo(Date dateTo)`
  `ContractObject`
  `setPosition(int position)`
  `ContractObject`
  `setStatus(int status)`
  `ContractObject`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `ContractObject`
  `setTypeId(int typeId)`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractObject

    public ContractObject()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### getDateFrom

    public Date getDateFrom()

  - ### getDateTo

    public Date getDateTo()

  - ### getPosition

    public int getPosition()

  - ### getStatus

    public int getStatus()

  - ### getTypeId

    public int getTypeId()

  - ### setContractId

    public ContractObject setContractId(int contractId)

  - ### setDateFrom

    public ContractObject setDateFrom(Date dateFrom)

  - ### setDateTo

    public ContractObject setDateTo(Date dateTo)

  - ### setPosition

    public ContractObject setPosition(int position)

  - ### setStatus

    public ContractObject setStatus(int status)

  - ### setTypeId

    public ContractObject setTypeId(int typeId)

  - ### setTitle

    public ContractObject setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### builder

    public static ContractObject.Builder builder()